Bug 530694 - Xorg stops responding and consumes 93%+ CPU time (Nvidia issue)
Xorg stops responding and consumes 93%+ CPU time (Nvidia issue)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
card_GeForceFXGo5650
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-24 05:41 EDT by Quentin Armitage
Modified: 2010-02-28 08:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-28 08:07:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log from when problem occured. (32.83 KB, text/plain)
2009-10-24 05:41 EDT, Quentin Armitage
no flags Details
gdb bt -f output (51.44 KB, text/plain)
2009-10-24 05:48 EDT, Quentin Armitage
no flags Details
strace -p output (959 bytes, text/plain)
2009-10-24 05:49 EDT, Quentin Armitage
no flags Details
/var/log/messages during suspend/resume (38.72 KB, text/plain)
2009-10-27 10:11 EDT, Quentin Armitage
no flags Details

  None (edit)
Description Quentin Armitage 2009-10-24 05:41:26 EDT
Created attachment 365928 [details]
Xorg.0.log from when problem occured. 

Description of problem:
Xorg stopped responding to keyboard input. Mouse movement continued, but no
response to mouse clicks. Xorg was consuming all available CPU time.

Version-Release number of selected component (if applicable):
Don't know which of these are relevant, so listing all for completeness:
kernel-2.6.31-0.125.4.2.rc5.git2.fc12.i686
xorg-x11-drv-apm-1.2.2-1.fc12.i686
xorg-x11-drv-penmount-1.4.0-4.fc12.i686
xorg-x11-drv-sisusb-0.9.3-1.fc12.i686
xorg-x11-fonts-ISO8859-1-75dpi-7.2-9.fc12.noarch
xorg-x11-drv-tdfx-1.4.3-1.fc12.i686
xorg-x11-drv-aiptek-1.2.0-3.fc12.i686
xorg-x11-server-Xorg-1.6.99-33.20090807.fc12.i686
xorg-x11-drv-voodoo-1.2.3-1.fc12.i686
xorg-x11-drv-rendition-4.2.2-2.fc12.1.i686
xorg-x11-drv-mga-1.4.11-1.fc12.i686
xorg-x11-server-devel-1.6.99-33.20090807.fc12.i686
xorg-x11-drv-synaptics-1.1.99-5.20090728.fc12.i686
xorg-x11-drv-cirrus-1.3.2-1.fc12.i686
xorg-x11-drv-r128-6.8.1-1.fc12.i686
xorg-x11-fonts-misc-7.2-9.fc12.noarch
xorg-x11-drv-openchrome-0.2.903-14.fc12.i686
xorg-x11-drv-keyboard-1.3.99-3.20090715.fc12.1.i686
xorg-x11-twm-1.0.3-5.fc12.i686
xorg-x11-drv-vmware-10.16.7-1.fc12.i686
xorg-x11-xauth-1.0.2-7.fc12.i686
xorg-x11-proto-devel-7.4-27.fc12.noarch
xorg-x11-drv-nv-2.1.14-4.fc12.i686
xorg-x11-drv-v4l-0.2.0-3.fc12.1.i686
xorg-x11-drv-mach64-6.8.2-1.fc12.i686
xorg-x11-drv-fpit-1.3.0-4.fc12.i686
xorg-x11-xtrans-devel-1.2.2-4.fc12.noarch
xorg-x11-xdm-1.1.6-14.fc12.i686
xorg-x11-drv-vmmouse-12.6.4-3.fc12.1.i686
xorg-x11-fonts-Type1-7.2-9.fc12.noarch
xorg-x11-drv-siliconmotion-1.7.3-1.fc12.i686
xorg-x11-util-macros-1.2.2-2.fc12.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-9.fc12.noarch
xorg-x11-xkb-utils-7.4-5.fc12.i686
xorg-x11-drv-sis-0.10.2-1.fc12.i686
xorg-x11-drv-i128-1.3.3-1.fc12.i686
xorg-x11-drv-mouse-1.4.99-3.20090619.fc12.1.i686
xorg-x11-drv-elographics-1.2.3-4.fc12.i686
xorg-x11-server-common-1.6.99-33.20090807.fc12.i686
xorg-x11-fonts-75dpi-7.2-9.fc12.noarch
xorg-x11-drv-evdev-2.2.99-5.20090730.fc12.i686
xorg-x11-drv-ati-6.12.2-21.fc12.i686
xorg-x11-drv-void-1.2.0-3.fc12.1.i686
xorg-x11-font-utils-7.2-9.fc12.i686
xorg-x11-drv-geode-2.11.3-1.fc12.i686
xorg-x11-drv-i740-1.3.2-1.fc12.i686
xorg-x11-drv-mutouch-1.2.1-4.fc12.i686
xorg-x11-drv-intel-2.8.0-3.fc12.i686
xorg-x11-drv-vesa-2.2.1-1.fc12.i686
xorg-x11-drv-s3virge-1.10.4-1.fc12.i686
xorg-x11-drv-fbdev-0.4.1-1.fc12.i686
xorg-x11-utils-7.4-6.fc12.i686
xorg-x11-drivers-7.3-13.fc12.i686
xorg-x11-drv-savage-2.3.1-1.fc12.i686
xorg-x11-drv-trident-1.3.3-1.fc12.i686
xorg-x11-drv-hyperpen-1.3.0-3.fc12.i686
xorg-x11-drv-dummy-0.3.2-2.fc12.1.i686
xorg-x11-drv-ast-0.89.9-1.fc12.i686
xorg-x11-server-utils-7.4-11.fc12.i686
xorg-x11-xinit-1.0.9-12.fc12.i686
xorg-x11-drv-glint-1.2.4-1.fc12.i686
xorg-x11-apps-7.4-4.fc12.i686
xorg-x11-fonts-100dpi-7.2-9.fc12.noarch
xorg-x11-drv-neomagic-1.2.4-1.fc12.i686
xorg-x11-drv-acecad-1.3.0-3.fc12.i686
xorg-x11-drv-nouveau-0.0.15-2.20090805git712064e.fc12.i686

How reproducible:
It has happened about a dozen times now over a couple of months - no idea what triggers it


Steps to Reproduce:
1.?
2.
3.
  
Actual results:
Keyboard and mouse click inputs stopped responding


Expected results:


Additional info:
killall -9 Xorg from an ssh session allowed my to log back in again.
Graphics chip is an NVIDIA GeForce FX Go5650
Comment 1 Quentin Armitage 2009-10-24 05:48:14 EDT
Created attachment 365929 [details]
gdb bt -f output

I had not had this problem since I originally opened bug #517625,
but it occurred again. I attach the output of gdb backtrace, and
strace -p as requested.

Update package versons:
kernel-2.6.31.1-56.fc12
xorg-x11-server-Xorg-1.7.0-1.fc12
xorg-x11-drv-nouveau-0.0.15-13.20090929gitdd8339f.fc12

No doubt others of the packages have been updated, but these seem the salient ones.
Comment 2 Quentin Armitage 2009-10-24 05:49:27 EDT
Created attachment 365930 [details]
strace -p output

I have truncated the output since there were thousands of lines all the same
Comment 3 Ben Skeggs 2009-10-26 18:32:44 EDT
Do you happen to have your kernel log from when this issue occurred?  The output of the dmesg command while the machine is hung would be perfect, /var/log/messages will do otherwise.
Comment 4 Quentin Armitage 2009-10-27 10:11:06 EDT
Created attachment 366271 [details]
/var/log/messages during suspend/resume
Comment 5 Ben Skeggs 2009-10-27 19:32:39 EDT
Ok, there was no mention of suspend/resume prior to this?  The problem doesn't occur without using it?
Comment 6 Matěj Cepl 2009-11-05 12:19:00 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Bug Zapper 2009-11-16 09:10:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2010-02-26 07:25:32 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Quentin Armitage 2010-02-28 07:32:22 EST
I haven't experienced this problem for a couple of months now.
Comment 10 Matěj Cepl 2010-02-28 08:07:51 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.